<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.jabber.muccore.MucPresence</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.jabber-module.html">Package&nbsp;jabber</a> ::
        <a href="pyxmpp.jabber.muccore-module.html">Module&nbsp;muccore</a> ::
        Class&nbsp;MucPresence
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class MucPresence</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucPresence">source&nbsp;code</a></span></p>
<pre class="base-tree">
<a href="pyxmpp.stanza.Stanza-class.html">stanza.Stanza</a> --+    
                |    
<a href="pyxmpp.presence.Presence-class.html">presence.Presence</a> --+
                    |
     <a href="pyxmpp.jabber.muccore.MucStanzaExt-class.html">MucStanzaExt</a> --+
                    |
                   <strong class="uidshort">MucPresence</strong>
</pre>

<hr />
Extend <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a> with MUC related interface.

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muccore.MucPresence-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">xmlnode</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">from_jid</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">to_jid</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">stanza_type</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">stanza_id</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">show</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">status</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">priority</span>=<span class="summary-sig-default">0</span>,
        <span class="summary-sig-arg">error</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">error_cond</span>=<span class="summary-sig-default">None</span>)</span><br />
      Initialize a <a href="pyxmpp.jabber.muccore.MucPresence-class.html" class="link">MucPresence</a> object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucPresence.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muccore.MucPresence-class.html#copy" class="summary-sig-name">copy</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Return a copy of <code class="link">self</code>.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucPresence.copy">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muccore.MucPresence-class.html#make_join_request" class="summary-sig-name">make_join_request</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">password</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">history_maxchars</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">history_maxstanzas</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">history_seconds</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">history_since</span>=<span class="summary-sig-default">None</span>)</span><br />
      Make the presence stanza a MUC room join request.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucPresence.make_join_request">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jabber.muccore.MucX-class.html" class="link">MucX</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muccore.MucPresence-class.html#get_join_info" class="summary-sig-name">get_join_info</a>(<span class="summary-sig-arg">self</span>)</span><br />
      If <code class="link">self</code> is a MUC room join request return the information contained.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucPresence.get_join_info">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muccore.MucPresence-class.html#free" class="summary-sig-name">free</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Free the data associated with this <a href="pyxmpp.jabber.muccore.MucPresence-class.html" class="link">MucPresence</a> object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucPresence.free">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.presence.Presence-class.html">presence.Presence</a></code></b>:
      <code><a href="pyxmpp.presence.Presence-class.html#get_priority">get_priority</a></code>,
      <code><a href="pyxmpp.presence.Presence-class.html#get_show">get_show</a></code>,
      <code><a href="pyxmpp.presence.Presence-class.html#get_status">get_status</a></code>,
      <code><a href="pyxmpp.presence.Presence-class.html#make_accept_response">make_accept_response</a></code>,
      <code><a href="pyxmpp.presence.Presence-class.html#make_deny_response">make_deny_response</a></code>,
      <code><a href="pyxmpp.presence.Presence-class.html#make_error_response">make_error_response</a></code>,
      <code><a href="pyxmpp.presence.Presence-class.html#set_priority">set_priority</a></code>,
      <code><a href="pyxmpp.presence.Presence-class.html#set_show">set_show</a></code>,
      <code><a href="pyxmpp.presence.Presence-class.html#set_status">set_status</a></code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.stanza.Stanza-class.html">stanza.Stanza</a></code></b>:
      <code><a href="pyxmpp.stanza.Stanza-class.html#__del__">__del__</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#__eq__">__eq__</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#__ne__">__ne__</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#add_content">add_content</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#add_new_content">add_new_content</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_error">get_error</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_from">get_from</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_from_jid">get_from_jid</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_id">get_id</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_node">get_node</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_stanza_id">get_stanza_id</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_stanza_type">get_stanza_type</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_to">get_to</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_to_jid">get_to_jid</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_type">get_type</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#serialize">serialize</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#set_content">set_content</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#set_from">set_from</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#set_id">set_id</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#set_new_content">set_new_content</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#set_to">set_to</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#set_type">set_type</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#xpath_eval">xpath_eval</a></code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.jabber.muccore.MucStanzaExt-class.html">MucStanzaExt</a></code></b>:
      <code><a href="pyxmpp.jabber.muccore.MucStanzaExt-class.html#clear_muc_child">clear_muc_child</a></code>,
      <code><a href="pyxmpp.jabber.muccore.MucStanzaExt-class.html#get_muc_child">get_muc_child</a></code>,
      <code><a href="pyxmpp.jabber.muccore.MucStanzaExt-class.html#make_muc_admin_quey">make_muc_admin_quey</a></code>,
      <code><a href="pyxmpp.jabber.muccore.MucStanzaExt-class.html#make_muc_userinfo">make_muc_userinfo</a></code>,
      <code><a href="pyxmpp.jabber.muccore.MucStanzaExt-class.html#muc_free">muc_free</a></code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== CLASS VARIABLES ==================== -->
<a name="section-ClassVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.presence.Presence-class.html">presence.Presence</a></code></b>:
      <code><a href="pyxmpp.presence.Presence-class.html#stanza_type">stanza_type</a></code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== INSTANCE VARIABLES ==================== -->
<a name="section-InstanceVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.stanza.Stanza-class.html">stanza.Stanza</a></code></b>:
      <code><a href="pyxmpp.stanza.Stanza-class.html#stream">stream</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#xmlnode">xmlnode</a></code>
      </p>
    <div class="private">    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.stanza.Stanza-class.html">stanza.Stanza</a></code></b> (private):
      <code><a href="pyxmpp.stanza.Stanza-class.html#_error" onclick="show_private();">_error</a></code>
      </p></div>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">xmlnode</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">from_jid</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">to_jid</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">stanza_type</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">stanza_id</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">show</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">status</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">priority</span>=<span class="sig-default">0</span>,
        <span class="sig-arg">error</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">error_cond</span>=<span class="sig-default">None</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucPresence.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize a <a href="pyxmpp.jabber.muccore.MucPresence-class.html" class="link">MucPresence</a> object.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>xmlnode</code></strong> (: <code class="link">unicode</code> or <code class="link">libxml2.xmlNode</code> or <a href="pyxmpp.stanza.Stanza-class.html" class="link">pyxmpp.stanza.Stanza</a>) - : XML node to_jid be wrapped into the <a href="pyxmpp.jabber.muccore.MucPresence-class.html" class="link">MucPresence</a> object
or other Presence object to be copied. If not given then new
presence stanza is created using following parameters.</li>
        <li><strong class="pname"><code>from_jid</code></strong> (: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a>) - : sender JID.</li>
        <li><strong class="pname"><code>to_jid</code></strong> (: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a>) - : recipient JID.</li>
        <li><strong class="pname"><code>stanza_type</code></strong> (: <code class="link">unicode</code>) - : staza type: one of: None, &quot;available&quot;, &quot;unavailable&quot;,
&quot;subscribe&quot;, &quot;subscribed&quot;, &quot;unsubscribe&quot;, &quot;unsubscribed&quot; or
&quot;error&quot;. &quot;available&quot; is automaticaly changed to_jid None.</li>
        <li><strong class="pname"><code>stanza_id</code></strong> (: <code class="link">unicode</code>) - : stanza id -- value of stanza's &quot;id&quot; attribute</li>
        <li><strong class="pname"><code>show</code></strong> (: <code class="link">unicode</code>) - : &quot;show&quot; field of presence stanza. One of: None, &quot;away&quot;,
&quot;xa&quot;, &quot;dnd&quot;, &quot;chat&quot;.</li>
        <li><strong class="pname"><code>status</code></strong> (: <code class="link">unicode</code>) - : descriptive text for the presence stanza.</li>
        <li><strong class="pname"><code>priority</code></strong> (: <code class="link">unicode</code>) - : presence priority.</li>
        <li><strong class="pname"><code>error_cond</code></strong> (: <code class="link">unicode</code>) - : error condition name. Ignored if <a href="pyxmpp.presence.Presence-class.html#stanza_type" class="link">stanza_type</a> is not &quot;error&quot;</li>
    </ul></dd>
    <dt>Overrides:
        <a href="pyxmpp.jabber.muccore.MucStanzaExt-class.html#__init__">MucStanzaExt.__init__</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="copy"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">copy</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucPresence.copy">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Return a copy of <code class="link">self</code>.
  <dl class="fields">
    <dt>Returns: <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a></dt>
    <dt>Overrides:
        <a href="pyxmpp.stanza.Stanza-class.html#copy">stanza.Stanza.copy</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="make_join_request"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">make_join_request</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">password</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">history_maxchars</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">history_maxstanzas</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">history_seconds</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">history_since</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucPresence.make_join_request">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Make the presence stanza a MUC room join request.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>password</code></strong> (: <code class="link">unicode</code>) - : password to the room.</li>
        <li><strong class="pname"><code>history_maxchars</code></strong> (: <code class="link">int</code>) - : limit of the total number of characters in
history.</li>
        <li><strong class="pname"><code>history_maxstanzas</code></strong> (: <code class="link">int</code>) - : limit of the total number of messages in
history.</li>
        <li><strong class="pname"><code>history_seconds</code></strong> (: <code class="link">int</code>) - : send only messages received in the last
<code class="link">seconds</code> seconds.</li>
        <li><strong class="pname"><code>history_since</code></strong> (: <code class="link">datetime.datetime</code>) - : Send only the messages received since the
dateTime specified (UTC).</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="get_join_info"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_join_info</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucPresence.get_join_info">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  If <code class="link">self</code> is a MUC room join request return the information contained.
  <dl class="fields">
    <dt>Returns: <a href="pyxmpp.jabber.muccore.MucX-class.html" class="link">MucX</a></dt>
        <dd>the join request details or <code class="link">None</code>.</dd>
  </dl>
</td></tr></table>
</div>
<a name="free"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">free</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucPresence.free">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Free the data associated with this <a href="pyxmpp.jabber.muccore.MucPresence-class.html" class="link">MucPresence</a> object.
  <dl class="fields">
    <dt>Overrides:
        <a href="pyxmpp.stanza.Stanza-class.html#free">stanza.Stanza.free</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:02 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
